Skip to main content
Login callback
Authentication · API availability · Download OpenAPI
This operation can change resources or access. After signing in, open API request settings and select Enable modifying requests, then Apply settings, to use its playground. Check the request body and destination before selecting Send. Your existing API permissions still apply.

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Body

application/json
code
string
state
string

Response

A successful response.

cause
enum<string>
default:UNSPECIFIED
Available options:
UNSPECIFIED,
OK,
UNKNOWN,
CREDENTIALS,
SUSPENDED,
EXCEPTION,
INACTIVE,
SIGNEDUPSTATE,
UNKNOWNSTATE,
CREATEDSTATE,
USER_UNKNOWN,
ENTERPRISE_UNKNOWN,
ROLE_UNKNOWN,
USER_UNKNOWNSTATE,
USER_INACTIVE,
USER_SIGNEDUPSTATE,
USER_CREATEDSTATE,
ENTERPRISE_UNKNOWNSTATE,
ENTERPRISE_INACTIVE,
ENTERPRISE_SIGNEDUPSTATE,
ENTERPRISE_CREATEDSTATE,
CREDENTIAL_NOTFOUND,
CREDENTIAL_MISMATCH,
SCHEME_UNKNOWN,
UPDATE_LOGINTIME_FAILED,
CREDENTIAL_MISMATCH_MAX_FAILED_PWD_ATTEMPT,
REDIRECT,
DECRYPTION_FAILED,
PASSWORD_EXPIRED,
TOTP_OK,
TOTP_INVALID_CODE,
TOTP_ERR
userId
string
token
Base64 encoded token · object
policies
BEGIN: Only valid when Verbose is requesed · object[]
simpleUser
object
detailedUser
User detail · object

User meta data

realm
Realm detail · object

Realm meta data

Example:
enterprise
Enterprise detail · object

Enterprise meta data

role
Role detail · object

Role meta data

Example:
noOfLoginAttemptsLeft
integer<int64>
redirectUrl
string
loginToken
Base64 encoded token · object
apiToken
Base64 encoded token · object
passwordExpiryTime
string<date-time>
passwordExpiryNotificationPeriodInSeconds
integer<int64>
tempToken
Base64 encoded token · object